UPDATEDB(1L)

NAME
updatedb - update a file name database

SYNOPSIS
updatedb [options]

DESCRIPTION
This manual page documents the GNU version of updatedb, which updates file name databases used by GNU locate. The file name databases contain lists of files that were in particular directory trees when the databases were last updated. The file name of the default database is determined when locate and updatedb are configured and installed. The frequency with which the databases are updated and the directories for which they contain entries depend on how often updatedb is run, and with which arguments.

In networked environments, it often makes sense to build a database at the root of each filesystem, containing the entries for that filesystem. updatedb is then run for each filesystem on the fileserver where that filesystem is on a local disk, to prevent thrashing the network. Users can select which databases locate searches using an environment variable or command line option; see locate(1L). Databases can not be concatenated together.

The file name database format changed starting with GNU find and locate version 4.0 to allow machines with diffent byte orderings to share the databases. The new GNU locate can read both the old and new database formats. However, old versions of locate and find produce incorrect results if given a new-format database.

OPTIONS

--localpaths='path1 path2...'
    Non-network directories to put in the database. Default is /.

--netpaths='path1 path2...'
    Network (NFS, AFS, RFS, etc.) directories to put in the database. Default is none.

--prunepaths='path1 path2...'
    Directories to not put in the database, which would otherwise be. Default is /tmp /usr/tmp /var/tmp /afs.

--output=dbfile
    The database file to build. Default is system-dependent. In Debian GNU/Linux, the default is /var/lib/locate/locatedb.

--localuser=user
    The user to search non-network directories as, using su(1). Default is to search the non-network directories as the current user. You can also use the environment variable LOCALUSER to set this user.

--netuser=user
    The user to search network directories as, using su(1). Default is daemon. You can also use the environment variable NETUSER to set this user.

--old-format
    Create the database in the old format instead of the new one.

--version
    Print the version number of updatedb and exit.

--help
    Print a summary of the options to updatedb and exit.

SEE ALSO
find(1L), locate(1L), locatedb(5L), xargs(1L) Finding Files (on-line in Info, or printed)